# Exiv2::TiffStructure Struct Reference

Data structure used as a row (element) of a table (array) describing the TIFF structure of an image format for reading and writing. Different tables can be used to support different TIFF based image formats. More...

`#include <tiffcomposite.hpp>`

List of all members.

## Public Member Functions

bool | operator== (const Key &key) const
| Comparison operator to compare a TiffStructure with a TiffStructure::Key.
uint16_t | tag () const
| Return the tag corresponding to the extended tag.

## Public Attributes

uint32_t | extendedTag_
| Tag (32 bit so that it can contain special tags).
uint16_t | group_
| Group that contains the tag.
NewTiffCompFct | newTiffCompFct_
| Function to create the correct TIFF component.
uint16_t | newGroup_
| Group of the newly created component.

## Classes

struct | Key
| Search key for TIFF structure. More...

## Detailed Description

Data structure used as a row (element) of a table (array) describing the TIFF structure of an image format for reading and writing. Different tables can be used to support different TIFF based image formats.

The documentation for this struct was generated from the following files:

- tiffcomposite.hpp
- tiffcomposite.cpp